Portlet API (V0.7.1) : Interface PortalContext

Package | Class | Tree | Deprecated | Index | Help
| Portlet API (V0.7.1)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Interface PortalContext

public interface PortalContext

The `PortalContext` interface gives the portlet the ability to retrieve information about the portal calling this portlet.

The portlet can only read the `PortalContext` data.

Method Summary
`java.lang.String` | `getPortalInfo()` Returns information about the portal like vendor, version, etc.
`java.lang.String` | `getProperty(java.lang.String name)` Returns the portal property with the given name, or a `null` if there is no property by that name.
`java.util.Enumeration` | `getPropertyNames()` Returns all portal property names as strings, or an empty `Enumeration` if there are no property names.
`java.util.Enumeration` | `getSupportedPortletModes()` Returns the portlet modes that the portal supports.
`java.util.Enumeration` | `getSupportedWindowStates()` Returns the window states that the portal supports.

Method Detail

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Returns the portal property with the given name, or a `null` if there is no property by that name.
  Parameters:
    `name` - property name
  Returns:
    portal property with key `name`
  Throws:
    `java.lang.IllegalArgumentException` - if name is `null`.

### getPropertyNames

    public java.util.Enumeration getPropertyNames()

  Returns all portal property names as strings, or an empty `Enumeration` if there are no property names.
  Returns:
    portal property names

### getSupportedPortletModes

    public java.util.Enumeration getSupportedPortletModes()

  Returns the portlet modes that the portal supports.

  The portlet modes must at least include the standard portlet modes `EDIT, HELP, VIEW`.

  Returns:
    list of supported portlet modes

### getSupportedWindowStates

    public java.util.Enumeration getSupportedWindowStates()

  Returns the window states that the portal supports.

  The window states must at least include the standard window states `MINIMIZED, NORMAL, MAXIMIZED`.

  Returns:
    list of supported window states

### getPortalInfo

    public java.lang.String getPortalInfo()

  Returns information about the portal like vendor, version, etc.

  The returned string should start with
  `vendorname.majorversion.minorversion.`

Package | Class | Tree | Deprecated | Index | Help
| Portlet API (V0.7.1)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD